#ifndef __CC_H__
#define __CC_H__

#include <string.h>
#include <stdio.h>

#define BYTE_ORDER LITTLE_ENDIAN

typedef unsigned   char    u8_t;
typedef signed     char    s8_t;
typedef unsigned   short   u16_t;
typedef signed     short   s16_t;
typedef unsigned   long    u32_t;
typedef signed     long    s32_t;

typedef u32_t mem_ptr_t;

#if !(defined(WIN32) || defined(_lint))
#define PACK_STRUCT_BEGIN  __packed
#define PACK_STRUCT_END    
#else
#define PACK_STRUCT_BEGIN
#define PACK_STRUCT_END
#endif
#define PACK_STRUCT_STRUCT
#define PACK_STRUCT_FIELD(x) x

#define U16_F "hu"
#define S16_F "hd"
#define X16_F "hx"
#define U32_F "lu"
#define S32_F "ld"
#define X32_F "lx"

#define LWIP_PROVIDE_ERRNO

/* Platform specific diagnostic output */
#define LWIP_PLATFORM_DIAG(x)	//{ write_serial_data x; }
#define LWIP_PLATFORM_ASSERT(x) //{ ASSERT(0);  while(1); }


#endif /* __CC_H__ */
